regina::alias::FacesOfTriangulation< Derived, dim, 2 > Class Template Reference
Dimension-Specific Aliases

Helper class that provides dimension-specific aliases for faces<0,1,2>(). More...

`#include <triangulation/alias/face.h>`

Inheritance diagram for regina::alias::FacesOfTriangulation< Derived, dim, 2 >:

## Public Member Functions

const detail::FaceListHolder< Derived, 2 >::Holder & | triangles () const
| A dimension-specific alias for faces<2>(). More...
const detail::FaceListHolder< Derived, 1 >::Holder & | edges () const
| A dimension-specific alias for faces<1>(). More...
const detail::FaceListHolder< Derived, 0 >::Holder & | vertices () const
| A dimension-specific alias for faces<0>(). More...

## Detailed Description

### template<class Derived, int dim>
class regina::alias::FacesOfTriangulation< Derived, dim, 2 >

Helper class that provides dimension-specific aliases for faces<0,1,2>().

This is inherited by the class Derived, which must provide a template function of the form `T faces<subdim>() const`, for facial dimensions subdim ≤ 2.

The return type T must be a const reference to the type detail::FaceListHolder<Derived, subdim>::Holder.

The documentation for this class was generated from the following file:

- triangulation/alias/face.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).